
<!-- Matchstiq-Z3U I2C Device Worker OCS -->
<componentspec nocontrol="true">
  <!-- FRAMEWORK BUG: -->
  <!-- Issue #2567 -->
  <!-- In order to utilize this i2c spec accross multiple busses a bug exists which requires you to set
       NUSERS_p to default to the maximum number of devices that are present on any given i2c
       bus that use this spec. Since z3u_i2c_bus2 uses 4 devices, the default was set to 4.
       This bug ignores the <bus#>-build.xml which should dynamically set NUSERS_p to the specified
       number of devices that are used on that particular bus.-->
  <property name="NUSERS_p" parameter="1" default="4"/>
  <property name="SLAVE_ADDRESS_p" type="uchar" arraylength="NUSERS_p" parameter="1" default="128"/>
  <!-- CLK_FREQ_p is divided by the desired I2C clock rate, in this case 100kHz,
       to produce a clock cycle count value, which is an input to the I2C module -->
  <property name="CLK_FREQ_p" type="float" parameter="1" default="100e6"/>
</componentspec>
